import { MainPage, waitForSpinnerToDisappear } from 'apps/admin-e2e/src/page-objects/main.po';
import { exist, notExist } from 'apps/admin-e2e/src/support/cypress.util';
import { loginAsAriane } from 'apps/admin-e2e/src/support/user-util';

describe('Navigation', () => {
  const mainPage: MainPage = new MainPage();

  describe('with user ariane', () => {
    before(() => {
      loginAsAriane();

      waitForSpinnerToDisappear();
    });

    it('should show benutzer navigation item', () => {
      exist(mainPage.getBenutzerTab());
    });

    it('should show postfach navigation item', () => {
      exist(mainPage.getPostfachNavigationItem());
    });

    it('should hide organisationseinheiten navigation item', () => {
      notExist(mainPage.getOrganisationEinheitNavigationItem());
    });

    it('should hide statistik navigation item', () => {
      notExist(mainPage.getStatistikNavigationItem());
    });
  });
});
