import { StatistikE2EComponent } from 'apps/admin-e2e/src/components/statistik/statistik-component';
import { MainPage, waitForSpinnerToDisappear } from 'apps/admin-e2e/src/page-objects/main.po';
import { exist, notExist } from 'apps/admin-e2e/src/support/cypress.util';
import { loginAsDaria } from 'apps/admin-e2e/src/support/user-util';

describe('Navigation', () => {
  const mainPage: MainPage = new MainPage();

  const statistikPage: StatistikE2EComponent = new StatistikE2EComponent();

  describe('with user daria', () => {
    before(() => {
      loginAsDaria();

      waitForSpinnerToDisappear();
    });

    it('should hide other navigation item', () => {
      notExist(mainPage.getBenutzerTab());
    });

    it('should hide postfach navigation item', () => {
      notExist(mainPage.getPostfachNavigationItem());
    });

    it('should hide organisationseinheiten navigation item', () => {
      notExist(mainPage.getOrganisationEinheitNavigationItem());
    });

    describe('statistik', () => {
      it('should be visible', () => {
        exist(mainPage.getStatistikNavigationItem());
      });

      it('should be initial selected', () => {
        mainPage.isStatistikNavigationItemSelected();
      });

      it('should show header text', () => {
        statistikPage.isHeaderTextVisible();
      });
    });
  });
});
