/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { OrganisationseinheitenSignaturE2EComponent } from '../../../components/organisationseinheiten/organisationseinheiten-signatur.e2e.component';
import { OrganisationsEinheitenE2EComponent } from '../../../components/organisationseinheiten/organisationseinheiten.e2e.component';
import { MainPage, waitForSpinnerToDisappear } from '../../../page-objects/main.po';
import { haveText } from '../../../support/cypress.util';
import { loginAsAriane } from '../../../support/user-util';

describe.skip('TODO: activate after fix for OZG-7391: Signatur', () => {
  const mainPage: MainPage = new MainPage();
  const signaturePage: OrganisationseinheitenSignaturE2EComponent = new OrganisationseinheitenSignaturE2EComponent();
  const organisationsEinheitenTab: OrganisationsEinheitenE2EComponent = new OrganisationsEinheitenE2EComponent();

  const signatureText: string = 'Signatur\nmit\n\n\n\nZeilenumbruch\n\n';

  before(() => {
    loginAsAriane();
  });

  it('should open signature page for Bauamt on click', () => {
    waitForSpinnerToDisappear();
    mainPage.openOrganisationsEinheiten();
    organisationsEinheitenTab.openOrganisationsEinheit('Bauamt');

    haveText(signaturePage.getOrganisationsEinheitName(), 'Bauamt');
  });

  it('should show signature input with scrollbar', () => {
    signaturePage.setSignature(signatureText);
    signaturePage.saveSignature();

    signaturePage.hasSignature(signatureText);
    signaturePage.hasScrollbar();
  });

  it.skip('should enter and save empty signature', () => {
    signaturePage.clearSignature();
    signaturePage.saveSignature();

    signaturePage.hasSignature('');
  });
});
