/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class HelpMenuE2EComponent {
  private readonly root: string = 'help-menu';
  private readonly button: string = 'help-menu-button';
  private readonly dropdownButton: string ='dropdown-button';
  private readonly openDocumentationButton: string = 'open-documentation-button';

  public getRoot() {
    return cy.getTestElementWithOid(this.root);
  }

  public getButton() {
    return this.getRoot().getTestElementWithOid(this.button);
  }

  public getDropdownButton() {
    return this.getRoot().getTestElement(this.dropdownButton);
  }

  public getOpenDocumentationButton() {
    return this.getRoot().getTestElementWithOid(this.openDocumentationButton);
  }
}
