/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { UserProfileE2EComponent } from './user-profile.component.e2e';

export class CurrentUserProfileE2EComponent {
  private readonly locatorUserIconButton: string = 'user-icon-button';
  private readonly locatorLogoutButton: string = 'logout-button';

  private readonly locatorRoot: string = 'current-user';
  private readonly dropdownButton: string = 'dropdown-button';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getUserProfile(): UserProfileE2EComponent {
    return new UserProfileE2EComponent(this.locatorRoot);
  }

  public logout(): void {
    this.getUserIconButton().click();
    this.getLogoutButton().click({ force: true });
  }

  public getUserIconButton() {
    return cy.getTestElement(this.locatorUserIconButton);
  }

  public getDropdownButton() {
    return this.getRoot().getTestElement(this.dropdownButton);
  }

  public getLogoutButton() {
    return cy.getTestElement(this.locatorLogoutButton);
  }
}
