/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import {
  PostfachMailItemE2E,
  VorgangAttachedItemClientE2E,
  VorgangAttachedItemE2E,
  VorgangAttachedItemNameE2E,
} from '../model/vorgang-attached-item';
import { initVorgangAttachedItemData } from './cypress-helper';
import { createLoeschAnforderung } from './loesch-anforderung.util';

export const VORGANG_ATTACHED_ITEM_CLASS: string = 'VorgangAttachedItem';

export function initVorgangAttachedItem(vorgangAttachedItems: VorgangAttachedItemE2E[]): void {
  initVorgangAttachedItemData(vorgangAttachedItems);
}

/**@deprecated */
const vorgangAttachedItemFixture: VorgangAttachedItemE2E = require('../fixtures/vorgang/vorgang-attached-item.json');

/**@deprecated */
export function createVorgangAttachedItem(): VorgangAttachedItemE2E {
  return vorgangAttachedItemFixture;
}

/**@deprecated */
export function buildVorgangAttachedItem(
  _id: string,
  vorgangId: string,
  itemName: VorgangAttachedItemNameE2E,
): VorgangAttachedItemE2E {
  return {
    ...createVorgangAttachedItem(),
    _id: { $oid: _id },
    version: 0,
    vorgangId,
    itemName,
    item: {
      ...createVorgangAttachedItem().item,
      vorgangId,
    },
    deleted: false,
  };
}

//TODO in postfach-nachricht-util.ts verschieben
// PostfachNachricht
const postfachNachrichtReplyItemFixture: PostfachMailItemE2E = require('../fixtures/postfach/postfach-nachricht-reply-item.json');

export function createPostfachNachrichtReplyItem(): PostfachMailItemE2E {
  return postfachNachrichtReplyItemFixture;
}

export function createPostfachNachrichtAttachedItem(
  _id: string,
  vorgangId: string,
): VorgangAttachedItemE2E {
  return {
    _id: { $oid: _id },
    version: 0,
    vorgangId,
    client: VorgangAttachedItemClientE2E.OZGCLOUD_NACHRICHTEN_MANAGER,
    itemName: VorgangAttachedItemNameE2E.POSTFACH_NACHRICHT,
    item: {
      ...createPostfachNachrichtReplyItem(),
      vorgangId,
    },
    deleted: false,
    _class: VORGANG_ATTACHED_ITEM_CLASS,
  };
}

export function createLoeschAnforderungAttachedItem(
  _id: string,
  vorgangId: string,
): VorgangAttachedItemE2E {
  return {
    _id: { $oid: _id },
    version: 0,
    vorgangId: vorgangId,
    client: VorgangAttachedItemClientE2E.ALFA,
    itemName: VorgangAttachedItemNameE2E.LOESCH_ANFORDERUNG,
    item: createLoeschAnforderung(),
    deleted: false,
    _class: VORGANG_ATTACHED_ITEM_CLASS,
  };
}
