/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ListResource } from '@alfa-client/tech-shared';
import { Resource } from '@ngxp/rest';

export interface AdminOrganisationsEinheit {
  name: string;
  organisationsEinheitId: string;
  syncResult: AdminOrganisationsEinheitSyncResult;
  settings?: AdminOrganisationsEinheitSettings;
  isChild?: boolean;
}

export enum AdminOrganisationsEinheitSyncResult {
  OK = 'OK',
  NOT_FOUND_IN_PVOG = 'NOT_FOUND_IN_PVOG',
  NAME_MISMATCH = 'NAME_MISMATCH',
  ORGANISATIONSEINHEIT_ID_NOT_UNIQUE = 'ORGANISATIONSEINHEIT_ID_NOT_UNIQUE',
  DELETED = 'DELETED',
}

export interface AdminOrganisationsEinheitSettings {
  signatur?: string;
}

export interface AdminOrganisationsEinheitResource extends AdminOrganisationsEinheit, Resource {}
export interface AdminOrganisationsEinheitListResource extends ListResource {}
export declare type AdminOrganisationsEinheitItemResource = Resource & AdminOrganisationsEinheit;
