import {
  AdminOrganisationsEinheitListResource,
  OrganisationsEinheitListLinkRel,
  OrganisationsEinheitService,
} from '@admin-client/organisations-einheit-shared';
import { StateResource, TechSharedModule } from '@alfa-client/tech-shared';
import { UiModule } from '@alfa-client/ui';
import { CommonModule } from '@angular/common';
import { Component, inject, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { OrganisationsEinheitListComponent } from './organisations-einheit-list/organisations-einheit-list.component';

@Component({
  selector: 'admin-organisations-einheit-container',
  templateUrl: './organisations-einheit-container.component.html',
  standalone: true,
  imports: [CommonModule, UiModule, OrganisationsEinheitListComponent, TechSharedModule],
})
export class OrganisationsEinheitContainerComponent implements OnInit {
  private organisationsEinheitService = inject(OrganisationsEinheitService);

  organisationsEinheitListStateResource$: Observable<StateResource<AdminOrganisationsEinheitListResource>>;

  public readonly OrganisationsEinheitListLinkRel = OrganisationsEinheitListLinkRel;

  ngOnInit(): void {
    this.organisationsEinheitListStateResource$ = this.organisationsEinheitService.getList();
  }
}
