import {
  AdminOrganisationsEinheitResource,
  OrganisationsEinheitListLinkRel,
  OrganisationsEinheitService,
} from '@admin-client/organisations-einheit-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { UiModule } from '@alfa-client/ui';
import { CommonModule } from '@angular/common';
import { Component, inject, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { OrganisationsEinheitFormComponent } from './organisations-einheit-form/organisations-einheit-form.component';

@Component({
  selector: 'admin-organisations-einheit-form-container',
  templateUrl: './organisations-einheit-form-container.component.html',
  standalone: true,
  imports: [CommonModule, UiModule, OrganisationsEinheitFormComponent],
})
export class OrganisationsEinheitFormContainerComponent implements OnInit {
  private organisationsEinheitService = inject(OrganisationsEinheitService);

  organisationsEinheitStateResource$: Observable<StateResource<AdminOrganisationsEinheitResource>>;

  ngOnInit(): void {
    this.organisationsEinheitStateResource$ = this.organisationsEinheitService.get();
  }

  protected readonly OrganisationsEinheitListLinkRel = OrganisationsEinheitListLinkRel;
}
