import { PostfachResource } from '@admin-client/postfach-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { inject, Injectable } from '@angular/core';
import { map, Observable } from 'rxjs';
import { SettingListResourceService } from './settings-resource.service';
import { getPostfachResource } from './settings.util';

@Injectable()
export class SettingsService {
  private settingListResourceService = inject(SettingListResourceService);

  public getPostfach(): Observable<StateResource<PostfachResource>> {
    return this.settingListResourceService.getList().pipe(map(getPostfachResource));
  }
}
