import { Resource } from '@ngxp/rest';
import { toResource } from 'libs/tech-shared/test/resource';
import { SettingListLinkRel } from '../src/lib/settings.linkrel';
import { SettingItemResource, SettingListResource } from '../src/lib/settings.model';

export function createSettingsListResource(settingsItems: SettingItemResource[]): SettingListResource {
  return toResource({}, [], {
    settings: settingsItems,
  });
}

export function createFilledSettingsListResource(resources: Resource[], linkRelations: string[] = []): SettingListResource {
  return toResource({}, [...linkRelations], {
    [SettingListLinkRel.LIST]: resources,
  });
}
