import { ROUTES } from '@admin-client/shared';
import { NavigationService } from '@alfa-client/navigation-shared';
import { CommonModule } from '@angular/common';
import { Component, inject } from '@angular/core';
import { FormArray, FormControl, ReactiveFormsModule } from '@angular/forms';
import { ButtonComponent, CloseIconComponent, PlusIconComponent, TextInputComponent } from '@ods/system';
import { StatistikFieldsFormService } from './statistik-fields.formservice';

@Component({
  selector: 'admin-statistik-fields-form',
  standalone: true,
  imports: [CommonModule, TextInputComponent, ButtonComponent, CloseIconComponent, ReactiveFormsModule, PlusIconComponent],
  providers: [StatistikFieldsFormService],
  templateUrl: './admin-statistik-fields-form.component.html',
})
export class AdminStatistikFieldsFormComponent {
  private readonly formService = inject(StatistikFieldsFormService);
  private readonly navigationService = inject(NavigationService);

  public readonly formEngineFormControl: FormControl = this.formService.form.controls[
    StatistikFieldsFormService.FIELD_FORM_ENGINE
  ] as FormControl;
  public readonly formIdFormControl: FormControl = this.formService.form.controls[
    StatistikFieldsFormService.FIELD_FORM_ID
  ] as FormControl;
  public readonly dataFieldsFormControls: FormControl[] = (
    this.formService.form.controls[StatistikFieldsFormService.FIELD_DATA_FIELDS] as FormArray
  ).controls as FormControl[];

  public addDataField(): void {
    this.formService.addDataField();
  }

  public onCancel(): void {
    this.navigationService.navigate(ROUTES.STATISTIK);
  }
}
