import { AbstractFormService, EMPTY_STRING, StateResource } from '@alfa-client/tech-shared';
import { Injectable } from '@angular/core';
import { FormArray, FormControl, UntypedFormGroup } from '@angular/forms';
import { Resource } from '@ngxp/rest';
import { EMPTY, Observable } from 'rxjs';

@Injectable()
export class StatistikFieldsFormService extends AbstractFormService {
  public static readonly FIELD_FORM_ENGINE: string = 'formEngine';
  public static readonly FIELD_FORM_ID: string = 'formId';
  public static readonly FIELD_DATA_FIELDS: string = 'dataFields';

  protected initForm(): UntypedFormGroup {
    return this.formBuilder.group({
      [StatistikFieldsFormService.FIELD_FORM_ENGINE]: new FormControl(EMPTY_STRING),
      [StatistikFieldsFormService.FIELD_FORM_ID]: new FormControl(EMPTY_STRING),
      [StatistikFieldsFormService.FIELD_DATA_FIELDS]: new FormArray([new FormControl(EMPTY_STRING)]),
    });
  }

  protected doSubmit(): Observable<StateResource<Resource>> {
    return EMPTY;
  }

  protected getPathPrefix(): string {
    return 'settingBody';
  }

  public addDataField(): void {
    (this.form.controls[StatistikFieldsFormService.FIELD_DATA_FIELDS] as FormArray).push(new FormControl(EMPTY_STRING));
  }
}
