/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { getElementFromFixtureByType } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { BescheidWizardAntragBescheidenSummaryComponent } from '../antrag-bescheiden/summary/bescheid-wizard-antrag-bescheiden-summary.component';
import { BescheidWizardStepTitleComponent } from '../step-title/bescheid-wizard-step-title.component';
import { BescheidWizardStepperComponent } from '../stepper/bescheid-wizard-stepper.component';
import { BescheidWizardSummaryComponent } from '../summary/bescheid-wizard-summary.component';
import { BescheidWizardDokumenteHochladenComponent } from './bescheid-wizard-dokumente-hochladen.component';
import { BescheidWizardDokumenteHochladenFormComponent } from './form/bescheid-wizard-dokumente-hochladen-form.component';
import { BescheidWizardDokumenteHochladenSummaryComponent } from './summary/bescheid-wizard-dokumente-hochladen-summary.component';

describe('BescheidWizardDokumenteHochladenComponent', () => {
  let component: BescheidWizardDokumenteHochladenComponent;
  let fixture: ComponentFixture<BescheidWizardDokumenteHochladenComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        BescheidWizardDokumenteHochladenComponent,
        MockComponent(BescheidWizardSummaryComponent),
        MockComponent(BescheidWizardAntragBescheidenSummaryComponent),
        MockComponent(BescheidWizardDokumenteHochladenSummaryComponent),
        MockComponent(BescheidWizardStepTitleComponent),
        MockComponent(BescheidWizardDokumenteHochladenFormComponent),
        MockComponent(BescheidWizardStepperComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(BescheidWizardDokumenteHochladenComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('alfa-bescheid-wizard-stepper', () => {
      function getElementComponent(): BescheidWizardStepperComponent {
        return getElementFromFixtureByType(fixture, BescheidWizardStepperComponent);
      }

      describe('input', () => {
        it('should set activeStep', () => {
          fixture.detectChanges();

          expect(getElementComponent().activeStep).toBe(BescheidWizardStep.DokumenteHochladen);
        });
      });
    });

    describe('alfa-bescheid-wizard-step-title', () => {
      function getElementComponent(): BescheidWizardStepTitleComponent {
        return getElementFromFixtureByType(fixture, BescheidWizardStepTitleComponent);
      }

      describe('input', () => {
        it('should set inactiveStep', () => {
          fixture.detectChanges();

          expect(getElementComponent().inactiveStep).toBeTruthy();
        });
      });
    });
  });
});
