/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, Input, OnInit } from '@angular/core';
import { CollaborationListResource } from 'libs/collaboration-shared/src/lib/collaboration.model';
import { CollaborationService } from 'libs/collaboration-shared/src/lib/collaboration.service';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-collaboration-in-vorgang-container',
  templateUrl: './collaboration-in-vorgang-container.component.html',
})
export class CollaborationInVorgangContainerComponent implements OnInit {
  @Input() public vorgang: VorgangWithEingangResource;

  public collaborationStateListResource$: Observable<StateResource<CollaborationListResource>>;
  public showOrganisationsEinheitAnfrageButton$: Observable<boolean>;
  public showExterneFachstelleAnfrageButton$: Observable<boolean>;

  constructor(private readonly service: CollaborationService) {}

  ngOnInit(): void {
    this.collaborationStateListResource$ = this.service.getList();
    this.showOrganisationsEinheitAnfrageButton$ = this.service.showOrganisationsEinheitAnfrageButton();
    this.showExterneFachstelleAnfrageButton$ = this.service.showExterneFachstelleAnfrageButton();
  }
}
