/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { faker } from '@faker-js/faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash-es';
import { UserProfileListLinkRel } from '../src/lib/user-profile.linkrel';
import {
  UserProfile,
  UserProfileListResource,
  UserProfileResource,
} from '../src/lib/user-profile.model';

export function createUserProfile(): UserProfile {
  return {
    createdAt: faker.date.past(),
    firstName: faker.person.fullName(),
    lastName: faker.person.fullName(),
  };
}

export function createUserProfileResource(linkRel: string[] = []): UserProfileResource {
  return toResource(createUserProfile(), linkRel);
}

export function createUserProfileResources(linkRel: string[] = []): UserProfileResource[] {
  return times(10, () => toResource(createUserProfileResource(), linkRel));
}

export function createUserProfileListResource(linkRel: string[] = []): UserProfileListResource {
  return toResource({}, linkRel, {
    [UserProfileListLinkRel.USER_PROFILE_LIST]: createUserProfileResources(),
  });
}
