/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { registerLocaleData } from '@angular/common';
import localeDe from '@angular/common/locales/de';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { MatIconTestingModule } from '@angular/material/icon/testing';
import { FormatToPrettyDatePipe } from '@alfa-client/tech-shared';
import { createVorgangResource } from 'libs/vorgang-shared/test/vorgang';
import { MockComponent } from 'ng-mocks';
import { AktenzeichenComponent } from '../../../aktenzeichen/aktenzeichen.component';
import { VorgangNummerComponent } from '../../../vorgang-nummer/vorgang-nummer.component';
import { VorgangSearchAutocompleteOptionsContentComponent } from './vorgang-search-autocomplete-options-content.component';

registerLocaleData(localeDe);

describe('VorgangSearchAutocompleteOptionsComponent', () => {
  let component: VorgangSearchAutocompleteOptionsContentComponent;
  let fixture: ComponentFixture<VorgangSearchAutocompleteOptionsContentComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        VorgangSearchAutocompleteOptionsContentComponent,
        FormatToPrettyDatePipe,
        MatIcon,
        MockComponent(AktenzeichenComponent),
        MockComponent(VorgangNummerComponent),
      ],
      imports: [MatIconTestingModule],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(VorgangSearchAutocompleteOptionsContentComponent);
    component = fixture.componentInstance;
    component.vorgang = createVorgangResource();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
